/**
 * Project Salmon (Habbo Hotel r63b Emulator)
 *
 * Copyright (c) 2013 - 2014, Jacob Pollack.
 **
 * SVN: svn://jamach.servehttp.com/projectSalmon
 **
 */

#include "exceptions/critexception.h"

#include <sstream>

using std::string;
using std::stringstream;

// See header file.
CritException::CritException(const string message, const int line, const string file) throw() {
  stringstream newMessage;

  newMessage << "Critical Exception (line: ";
  newMessage << line;
  newMessage << ", file: ";
  newMessage << file;
  newMessage << "): ";
  newMessage << message;

  this->message = newMessage.str();
}

// See header file.
CritException::~CritException() throw() { }

// See header file.
const char *CritException::what() const throw() {
  return this->message.c_str();
}