/**
 * Project Salmon (Habbo Hotel r63b Emulator)
 *
 * Copyright (c) 2013 - 2014, Jacob Pollack.
 **
 * SVN: svn://jamach.servehttp.com/projectSalmon
 **
 */

#ifndef __SALMON_UTILS_THREADPOOL_H
#define __SALMON_UTILS_THREADPOOL_H

class ThreadPool {
  private:
    // Stores the poolsize.
    const short poolSize;
  public:
    // Constructs a ThreadPool object.
    explicit ThreadPool(const short);
  private:
    // Disable the copy constructor.
    explicit ThreadPool(const ThreadPool &);
    // Disable the assignment operator.
    ThreadPool &operator=(const ThreadPool &);
};

#endif